New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Old Version of bignumber.js #1136

Open
pointtoken opened this Issue Oct 13, 2018 · 3 comments

Comments

Projects
None yet
3 participants
@pointtoken

pointtoken commented Oct 13, 2018

Current Behavior

0x-monorepo/packages/types/ uses "bignumber.js": "~4.1.0". This is a very old version of the bignumber library and is not forward compatible with the latest bignumber.js "7.2.1". If a project has a dependency a more recent version, it wreaks havoc on the code.

Possible Solution

Upgrade the types package to the latest bignumber.js.

@pointtoken pointtoken closed this Oct 17, 2018

@pointtoken pointtoken reopened this Oct 17, 2018

@WyseNynja

This comment has been minimized.

Contributor

WyseNynja commented Nov 12, 2018

@fabioberger

This comment has been minimized.

Contributor

fabioberger commented Nov 12, 2018

Hm... should we even stay with BigNumber? Looks like Ethers.js and a lot of other Ethereum tools use BN.js. This is a larger discussion, but any thoughts on migrating away from BigNumber.js entirely?

@stale

This comment has been minimized.

stale bot commented Dec 12, 2018

This issue has been automatically marked as stale because it has not had recent activity. It will be closed if no further activity occurs. Thank you for your contributions.

@stale stale bot added the stale label Dec 12, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment